# -*- encoding: utf-8 -*-
# stub: red-arrow 19.0.1 ruby lib
# stub: ext/arrow/extconf.rb

Gem::Specification.new do |s|
  s.name = "red-arrow".freeze
  s.version = "19.0.1".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "msys2_mingw_dependencies" => "arrow>=19.0.1" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Apache Arrow Developers".freeze]
  s.date = "2025-03-04"
  s.description = "Apache Arrow is a common in-memory columnar data store. It's useful to share and process large data.".freeze
  s.email = ["dev@arrow.apache.org".freeze]
  s.extensions = ["ext/arrow/extconf.rb".freeze]
  s.files = ["Gemfile".freeze, "LICENSE.txt".freeze, "NOTICE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "doc/text/development.md".freeze, "ext/arrow/arrow.cpp".freeze, "ext/arrow/converters.cpp".freeze, "ext/arrow/converters.hpp".freeze, "ext/arrow/extconf.rb".freeze, "ext/arrow/memory-view.cpp".freeze, "ext/arrow/memory-view.hpp".freeze, "ext/arrow/raw-records.cpp".freeze, "ext/arrow/red-arrow.hpp".freeze, "ext/arrow/values.cpp".freeze, "image/red-arrow.png".freeze, "lib/arrow.rb".freeze, "lib/arrow/aggregate-node-options.rb".freeze, "lib/arrow/aggregation.rb".freeze, "lib/arrow/array-builder.rb".freeze, "lib/arrow/array-computable.rb".freeze, "lib/arrow/array.rb".freeze, "lib/arrow/bigdecimal-extension.rb".freeze, "lib/arrow/binary-dictionary-array-builder.rb".freeze, "lib/arrow/block-closable.rb".freeze, "lib/arrow/buffer.rb".freeze, "lib/arrow/chunked-array.rb".freeze, "lib/arrow/column-containable.rb".freeze, "lib/arrow/column.rb".freeze, "lib/arrow/compression-type.rb".freeze, "lib/arrow/constructor-arguments-gc-guardable.rb".freeze, "lib/arrow/csv-loader.rb".freeze, "lib/arrow/csv-read-options.rb".freeze, "lib/arrow/data-type.rb".freeze, "lib/arrow/date32-array-builder.rb".freeze, "lib/arrow/date32-array.rb".freeze, "lib/arrow/date64-array-builder.rb".freeze, "lib/arrow/date64-array.rb".freeze, "lib/arrow/datum.rb".freeze, "lib/arrow/day-time-interval-array-builder.rb".freeze, "lib/arrow/decimal128-array-builder.rb".freeze, "lib/arrow/decimal128-array.rb".freeze, "lib/arrow/decimal128-data-type.rb".freeze, "lib/arrow/decimal128.rb".freeze, "lib/arrow/decimal256-array-builder.rb".freeze, "lib/arrow/decimal256-array.rb".freeze, "lib/arrow/decimal256-data-type.rb".freeze, "lib/arrow/decimal256.rb".freeze, "lib/arrow/dense-union-array-builder.rb".freeze, "lib/arrow/dense-union-array.rb".freeze, "lib/arrow/dense-union-data-type.rb".freeze, "lib/arrow/dictionary-array.rb".freeze, "lib/arrow/dictionary-data-type.rb".freeze, "lib/arrow/equal-options.rb".freeze, "lib/arrow/expression.rb".freeze, "lib/arrow/field-containable.rb".freeze, "lib/arrow/field.rb".freeze, "lib/arrow/file-output-stream.rb".freeze, "lib/arrow/file-system.rb".freeze, "lib/arrow/fixed-size-binary-array-builder.rb".freeze, "lib/arrow/fixed-size-binary-array.rb".freeze, "lib/arrow/function.rb".freeze, "lib/arrow/generic-filterable.rb".freeze, "lib/arrow/generic-takeable.rb".freeze, "lib/arrow/group.rb".freeze, "lib/arrow/half-float-array-builder.rb".freeze, "lib/arrow/half-float-array.rb".freeze, "lib/arrow/half-float.rb".freeze, "lib/arrow/input-referable.rb".freeze, "lib/arrow/jruby.rb".freeze, "lib/arrow/jruby/array-builder.rb".freeze, "lib/arrow/jruby/array.rb".freeze, "lib/arrow/jruby/chunked-array.rb".freeze, "lib/arrow/jruby/compression-type.rb".freeze, "lib/arrow/jruby/csv-read-options.rb".freeze, "lib/arrow/jruby/data-type.rb".freeze, "lib/arrow/jruby/decimal128.rb".freeze, "lib/arrow/jruby/decimal256.rb".freeze, "lib/arrow/jruby/error.rb".freeze, "lib/arrow/jruby/file-system.rb".freeze, "lib/arrow/jruby/function.rb".freeze, "lib/arrow/jruby/record-batch-iterator.rb".freeze, "lib/arrow/jruby/record-batch.rb".freeze, "lib/arrow/jruby/sort-key.rb".freeze, "lib/arrow/jruby/sort-options.rb".freeze, "lib/arrow/jruby/stream-listener-raw.rb".freeze, "lib/arrow/jruby/table.rb".freeze, "lib/arrow/jruby/writable.rb".freeze, "lib/arrow/libraries.rb".freeze, "lib/arrow/list-array-builder.rb".freeze, "lib/arrow/list-data-type.rb".freeze, "lib/arrow/loader.rb".freeze, "lib/arrow/map-array-builder.rb".freeze, "lib/arrow/map-array.rb".freeze, "lib/arrow/map-data-type.rb".freeze, "lib/arrow/month-day-nano-interval-array-builder.rb".freeze, "lib/arrow/null-array-builder.rb".freeze, "lib/arrow/null-array.rb".freeze, "lib/arrow/path-extension.rb".freeze, "lib/arrow/raw-table-converter.rb".freeze, "lib/arrow/raw-tensor-converter.rb".freeze, "lib/arrow/record-batch-builder.rb".freeze, "lib/arrow/record-batch-file-reader.rb".freeze, "lib/arrow/record-batch-iterator.rb".freeze, "lib/arrow/record-batch-reader.rb".freeze, "lib/arrow/record-batch-stream-reader.rb".freeze, "lib/arrow/record-batch.rb".freeze, "lib/arrow/record-containable.rb".freeze, "lib/arrow/record.rb".freeze, "lib/arrow/rolling-window.rb".freeze, "lib/arrow/ruby.rb".freeze, "lib/arrow/s3-global-options.rb".freeze, "lib/arrow/scalar.rb".freeze, "lib/arrow/schema.rb".freeze, "lib/arrow/slicer.rb".freeze, "lib/arrow/sort-key.rb".freeze, "lib/arrow/sort-options.rb".freeze, "lib/arrow/source-node-options.rb".freeze, "lib/arrow/sparse-union-array-builder.rb".freeze, "lib/arrow/sparse-union-array.rb".freeze, "lib/arrow/sparse-union-data-type.rb".freeze, "lib/arrow/stream-decoder.rb".freeze, "lib/arrow/stream-listener.rb".freeze, "lib/arrow/string-array-builder.rb".freeze, "lib/arrow/string-dictionary-array-builder.rb".freeze, "lib/arrow/struct-array-builder.rb".freeze, "lib/arrow/struct-array.rb".freeze, "lib/arrow/struct-data-type.rb".freeze, "lib/arrow/symbol-values-appendable.rb".freeze, "lib/arrow/table-concatenate-options.rb".freeze, "lib/arrow/table-formatter.rb".freeze, "lib/arrow/table-list-formatter.rb".freeze, "lib/arrow/table-loader.rb".freeze, "lib/arrow/table-saver.rb".freeze, "lib/arrow/table-table-formatter.rb".freeze, "lib/arrow/table.rb".freeze, "lib/arrow/tensor.rb".freeze, "lib/arrow/time-unit.rb".freeze, "lib/arrow/time.rb".freeze, "lib/arrow/time32-array-builder.rb".freeze, "lib/arrow/time32-array.rb".freeze, "lib/arrow/time32-data-type.rb".freeze, "lib/arrow/time64-array-builder.rb".freeze, "lib/arrow/time64-array.rb".freeze, "lib/arrow/time64-data-type.rb".freeze, "lib/arrow/timestamp-array-builder.rb".freeze, "lib/arrow/timestamp-array.rb".freeze, "lib/arrow/timestamp-data-type.rb".freeze, "lib/arrow/timestamp-parser.rb".freeze, "lib/arrow/union-array-builder.rb".freeze, "lib/arrow/version.rb".freeze, "lib/arrow/writable.rb".freeze, "red-arrow.gemspec".freeze]
  s.homepage = "https://arrow.apache.org/".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rubygems_version = "3.5.16".freeze
  s.summary = "Red Arrow is the Ruby bindings of Apache Arrow".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<bigdecimal>.freeze, [">= 3.1.0".freeze])
  s.add_runtime_dependency(%q<csv>.freeze, [">= 0".freeze])
  s.add_runtime_dependency(%q<extpp>.freeze, [">= 0.1.1".freeze])
  s.add_runtime_dependency(%q<gio2>.freeze, [">= 4.2.3".freeze])
  s.add_runtime_dependency(%q<native-package-installer>.freeze, [">= 0".freeze])
  s.add_runtime_dependency(%q<pkg-config>.freeze, [">= 0".freeze])
end

